package com.example.blum.readraw;

import android.content.Context;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;
import android.widget.Toast;

import java.io.InputStream;
import java.util.Random;

public class MainActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        Button btnShow = (Button) findViewById(R.id.btnShow);
        final TextView tvSonnet = (TextView) findViewById(R.id.txtSonnet);

        btnShow.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                // from https://stackoverflow.com/questions/6420293/reading-android-raw-text-file
                try {
                    Context context = tvSonnet.getContext();

                    Random rand = new Random();
                    int min = 15;
                    int max =18;
                    int sonnet_num = rand.nextInt((max - min) + 1) + min;

                    String myID = "sonnet_" + sonnet_num;
                    int resID = getResources().getIdentifier(myID, "raw", getPackageName());

                    InputStream is = context.getResources().openRawResource(resID);
                    byte[] buffer = new byte[is.available()];
                    while (is.read(buffer) != -1);
                    String sonnet_text = new String(buffer);
                    tvSonnet.setText(sonnet_text);
                } catch (Exception e) {
                    Toast.makeText(getApplicationContext(), "Problem reading file ", Toast.LENGTH_LONG).show();
                }
            }
        });

    }
}
